---
title: Nexus
description: Nexus Collector Plugin
---

import Plugin from '@site/src/components/Plugins';

Collects artifacts from a Nexus instance.  Will search all repositories in any entry in the corresponding manifest `repositories` list that is recognized as a Nexus instance for the specified component, and choose the most recent match (by version number).

<Plugin transferTag="hoppr.core_plugins.collect_nexus_search" >
{
`  purl_types:
          - git
          - maven
          - generic
`
}
</Plugin>

:::caution

All PURL types are currently supported _except_ for `git`, `gitlab`, `github`

:::

### Configuration Options

:::note

The `purl_types` option should be included if there are other collectors included in the `transfer` file.  Otherwise any artifact covered by those collectors will be processed twice - once by the native collector, and once by the Nexus Search collector.

:::

| Option | Details |                                                                                                                                                                                                          |
| ------------------------ | -------------------------------------------------------------|
| purl_types | Array of Strings.  Purl types to be processed by this plugin |
| process_timeout | Number of seconds to attempt collect before timeout.  **Default:** 60 |